Bug 409651 - Missing manpages
Missing manpages
Product: Fedora
Classification: Fedora
Component: freeglut (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-12-03 20:40 EST by Michel Samia
Modified: 2007-12-11 07:02 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-11 07:02:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michel Samia 2007-12-03 20:40:30 EST
Description of problem:
Package does not contain manual pages

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. man glutInit
Actual results:
no manpage for glutInit

Expected results:
displaying manual page of glutInit function

Additional info:
opensuse contains it, so we can take it easily from them
Comment 1 Hans de Goede 2007-12-04 04:56:46 EST
The manpages shipped by opensuse come from the original GLUT by Mark J. Kilgard,
which is under the following license:

NOTICE:  The OpenGL Utility Toolkit (GLUT) distribution contains source
code published in a book titled "Programming OpenGL for the X Window
System" (ISBN: 0-201-48359-9) published by Addison-Wesley.  The
programs and associated files contained in the distribution were
developed by Mark J. Kilgard and are Copyright 1994, 1995, 1996 by Mark
J. Kilgard (unless otherwise noted).  The programs are not in the
public domain, but they are freely distributable without licensing
fees.  These programs are provided without guarantee or warrantee
expressed or implied.

Notice that this license does not allow modification, which is not acceptable to
Fedora, therefor these pages cannot be shipped by Fedora.
Comment 2 Hans de Goede 2007-12-04 10:13:58 EST
Re-opening, as discussed in a private mail the man-pages shipped with openglut
describe the same API and thus are usable, also see:

Although upstream doesn't seem inclined to include them, there is no reason why
we cannot ship them as part of freeglut-devel, so when I find some time I'll add
this to the freeglut package:

And include the manpages therein in the -devel package.
Comment 3 Hans de Goede 2007-12-11 07:02:35 EST
Tomorrow's rawhide push will contain freeglut-2.4.0-12.fc9, which fixes this,

Note You need to log in before you can comment on or make changes to this bug.